public inbox for gentoo-dev@lists.gentoo.org
 help / color / mirror / Atom feed
From: David Seifert <soap@gentoo.org>
To: gentoo-dev@lists.gentoo.org
Cc: David Seifert <soap@gentoo.org>
Subject: [gentoo-dev] [PATCH 1/3] gnome2.eclass: remove EAPI 6
Date: Wed, 10 Jul 2024 13:12:20 +0200	[thread overview]
Message-ID: <20240710111222.816357-1-soap@gentoo.org> (raw)

Signed-off-by: David Seifert <soap@gentoo.org>
---
 eclass/gnome2.eclass | 38 +++++++++++---------------------------
 1 file changed, 11 insertions(+), 27 deletions(-)

diff --git a/eclass/gnome2.eclass b/eclass/gnome2.eclass
index 66de2df97f9f..9ef5d92a1c9e 100644
--- a/eclass/gnome2.eclass
+++ b/eclass/gnome2.eclass
@@ -4,7 +4,7 @@
 # @ECLASS: gnome2.eclass
 # @MAINTAINER:
 # gnome@gentoo.org
-# @SUPPORTED_EAPIS: 6 7 8
+# @SUPPORTED_EAPIS: 7 8
 # @PROVIDES: gnome2-utils
 # @BLURB: Provides phases for Gnome/Gtk+ based packages.
 # @DESCRIPTION:
@@ -12,7 +12,7 @@
 # GNOME framework. For additional functions, see gnome2-utils.eclass.
 
 case ${EAPI} in
-	6|7|8) ;;
+	7|8) ;;
 	*) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
 esac
 
@@ -22,11 +22,9 @@ _GNOME2_ECLASS=1
 # @ECLASS_VARIABLE: GNOME2_EAUTORECONF
 # @DEFAULT_UNSET
 # @DESCRIPTION:
-# Run eautoreconf instead of only elibtoolize
-GNOME2_EAUTORECONF=${GNOME2_EAUTORECONF:-""}
+# Run eautoreconf instead of only elibtoolize if set to "yes".
 
 [[ ${GNOME2_EAUTORECONF} == yes ]] && inherit autotools
-[[ ${EAPI} == 6 ]] && inherit ltprune
 
 inherit libtool gnome.org gnome2-utils xdg
 
@@ -34,7 +32,6 @@ inherit libtool gnome.org gnome2-utils xdg
 # @DEFAULT_UNSET
 # @DESCRIPTION:
 # Extra options passed to elibtoolize
-ELTCONF=${ELTCONF:-""}
 
 # @ECLASS_VARIABLE: GNOME2_ECLASS_GIO_MODULES
 # @INTERNAL
@@ -42,13 +39,10 @@ ELTCONF=${ELTCONF:-""}
 # Array containing glib GIO modules
 
 # @ECLASS_VARIABLE: GNOME2_LA_PUNT
+# @DEFAULT_UNSET
 # @DESCRIPTION:
-# In EAPI 6, it relies on prune_libtool_files (from ltprune.eclass) for
-# this. Later EAPIs use find ... -delete. Available values for GNOME2_LA_PUNT:
-# - "no": will not clean any .la files
-# - "yes": will run prune_libtool_files --modules
-# - If it is not set, it will run prune_libtool_files
-GNOME2_LA_PUNT=${GNOME2_LA_PUNT:-""}
+# If set to "no", no .la files will be cleaned, otherwise
+# will run "find ... -delete" in src_install.
 
 # @FUNCTION: gnome2_src_prepare
 # @DESCRIPTION:
@@ -141,8 +135,7 @@ gnome2_src_install() {
 	export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
 
 	local sk_tmp_dir="/var/lib/scrollkeeper"
-	# scrollkeeper-update from rarian doesn't do anything. Then, since eapi6
-	# we stop taking care of it
+	# scrollkeeper-update from rarian doesn't do anything.
 	#
 	# if this is not present, scrollkeeper-update may segfault and
 	# create bogus directories in /var/lib/
@@ -150,9 +143,8 @@ gnome2_src_install() {
 
 	unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
 
-	# Handle documentation as 'default' for eapi5, bug #373131
-	# Since eapi6 this is handled by default on its own plus MAINTAINERS and HACKING
-	# files that are really common in gnome packages (bug #573390)
+	# Install MAINTAINERS and HACKING which are really common
+	# in gnome packages (bug #573390)
 	local d
 	for d in HACKING MAINTAINERS; do
 		[[ -s ${d} ]] && dodoc "${d}"
@@ -170,16 +162,8 @@ gnome2_src_install() {
 	rm -rf "${ED}/usr/share/applications/mimeinfo.cache" || die
 
 	# Delete all .la files
-	if has ${EAPI} 6; then
-		case "${GNOME2_LA_PUNT}" in
-			yes)    prune_libtool_files --modules;;
-			no)     ;;
-			*)      prune_libtool_files;;
-		esac
-	else
-		if [[ ${GNOME2_LA_PUNT} != 'no' ]]; then
-			find "${ED}" -name '*.la' -delete || die
-		fi
+	if [[ ${GNOME2_LA_PUNT} != no ]]; then
+		find "${ED}" -type f -name '*.la' -delete || die
 	fi
 }
 
-- 
2.45.2



             reply	other threads:[~2024-07-10 11:12 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-07-10 11:12 David Seifert [this message]
2024-07-10 11:12 ` [gentoo-dev] [PATCH 2/3] gnome.org.eclass: remove EAPI 5 and 6 David Seifert
2024-07-10 11:12 ` [gentoo-dev] [PATCH 3/3] gnome2-utils.eclass: " David Seifert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20240710111222.816357-1-soap@gentoo.org \
    --to=soap@gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox